// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2018 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
namespace Hiperscan.Extensions.ApoIdent
{
    public class DataExchangeRezepturDoku : DataExchange
    {
        public DataExchangeRezepturDoku() : base()
        {
            this.IsActivated = false;
        }

        protected override DateTime ConvertToExpirationDate(string date)
        {
            throw new NotImplementedException();
        }

        protected override void DeleteImportFile()
        {
            throw new NotImplementedException();
        }

        public override void ExportFile(ReportInfo report_info)
        {
            throw new NotImplementedException();
        }

        public override void ImportFiles()
        {
            throw new NotImplementedException();
        }

        public override string GetReadingErrorMessage(Exception ex)
        {
            throw new NotImplementedException();
        }

        public override string DefaultWorkingDir
        {
            get 
            {
                return String.Empty;   
            }
        }
      
        public override string DefaultImportFileExtension => throw new NotImplementedException();

        public override string DefaultExportFileExtension => throw new NotImplementedException();

        public override ProtocolType ProtocolType 
        { 
            get 
            {
                return ProtocolType.RezepturDoku;
            }
        }

        public override string ApplicationName 
        { 
            get 
            {
                return "rezepturdoku";
            }
        }
    }
}
